Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SMD3Mesh Struct Reference

Holding Frames Buffers and Tag Infos. More...

`#include <IAnimatedMeshMD3.h>`

Inheritance diagram for irr::scene::SMD3Mesh:

List of all members.

## Public Member Functions

| SMD3Mesh ()
virtual | ~SMD3Mesh ()

## Public Attributes

core::array< SMD3MeshBuffer * > | Buffer
SMD3Header | MD3Header
core::stringc | Name
SMD3QuaternionTagList | TagList

## Detailed Description

Holding Frames Buffers and Tag Infos.

Definition at line 277 of file IAnimatedMeshMD3.h.

## Constructor & Destructor Documentation

irr::scene::SMD3Mesh::SMD3Mesh | ( |  | ) | `[inline]`

Definition at line 279 of file IAnimatedMeshMD3.h.

virtual irr::scene::SMD3Mesh::~SMD3Mesh | ( |  | ) | `[inline, virtual]`

Definition at line 284 of file IAnimatedMeshMD3.h.

References MD3Header, and irr::scene::SMD3Header::numFrames.

## Member Data Documentation

core::array< SMD3MeshBuffer * > irr::scene::SMD3Mesh::Buffer

Definition at line 291 of file IAnimatedMeshMD3.h.

SMD3Header irr::scene::SMD3Mesh::MD3Header

Definition at line 293 of file IAnimatedMeshMD3.h.

Referenced by ~SMD3Mesh().

core::stringc irr::scene::SMD3Mesh::Name

Definition at line 290 of file IAnimatedMeshMD3.h.

SMD3QuaternionTagList irr::scene::SMD3Mesh::TagList

Definition at line 292 of file IAnimatedMeshMD3.h.

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)